Subject: Re: [PATCH v3 1/3] po: fix escaped underscores in README.md

From: Phillip Wood <[email-masked]>
Date: Mon, 29 Sep 2025 14:26:10 +0100

As Junio has already said, you should drop this patch from this series 
as it is unrelated to the others and submit it separately (which I think 
you may have done already) Running

     git rebase --onto HEAD~3 HEAD~2

should do the trick

Thanks

Phillip

On 27/09/2025 04:51, ionnss via GitGitGadget wrote:
> From: ionnss <[email-masked]>
> 
> Remove unnecessary backslashes from language code examples.
> The underscores in "ll\_CC" and "zh\_CN" don't need escaping
> in Markdown.
> 
> Signed-off-by: ionnss <[email-masked]>
> ---
>   po/README.md | 6 +++---
>   1 file changed, 3 insertions(+), 3 deletions(-)
> 
> diff --git a/po/README.md b/po/README.md
> index ec08aa24ad..d7757bed4e 100644
> --- a/po/README.md
> +++ b/po/README.md
> @@ -13,9 +13,9 @@ We will use XX as an alias to refer to the language translation code in
>   the following paragraphs, for example we use "po/XX.po" to refer to the
>   translation file for a specific language. But this doesn't mean that
>   the language code has only two letters. The language code can be in one
> -of two forms: "ll" or "ll\_CC". Here "ll" is the ISO 639 two-letter
> +of two forms: "ll" or "ll_CC". Here "ll" is the ISO 639 two-letter
>   language code and "CC" is the ISO 3166 two-letter code for country names
> -and subdivisions. For example: "de" for German language code, "zh\_CN"
> +and subdivisions. For example: "de" for German language code, "zh_CN"
>   for Simplified Chinese language code.
>   
>   
> @@ -126,7 +126,7 @@ you add a translation for the first time by running:
>   make po-init PO_FILE=po/XX.po
>   ```
>   
> -where XX is the locale, e.g. "de", "is", "pt\_BR", "zh\_CN", etc.
> +where XX is the locale, e.g. "de", "is", "pt_BR", "zh_CN", etc.
>   
>   The newly generated message file "po/XX.po" is based on the core pot
>   file "po/git-core.pot", so it contains only a minimal set of messages